extends Button

export var action = "ui_up"

func _ready():
	connect("button_down",self,"press")	
	connect("button_up",self,"release")

func press():
	Input.action_press(action)

func release():
	Input.action_release(action)

